## com.lowagie.text.pdf.codec.postscript
Class PAToken

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAToken

    public class PAToken

extends java.lang.Object

Field Summary
`static int` `END_ARRAY`
`static int` `END_DICT`
`static int` `END_PROCEDURE`
`static int` `IDENTIFIER`
`static int` `IMMEDIATE`
`static int` `KEY`
`static int` `MARK`
`static int` `PROCEDURE`
`static int` `START_ARRAY`
`static int` `START_DICT`
`static int` `START_PROCEDURE`
`int` `type`
`java.lang.Object` `value`

Constructor Summary
`PAToken(java.lang.Object value, int type)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### KEY

    public static final int KEY

See Also:
  Constant Field Values

### PROCEDURE

    public static final int PROCEDURE

See Also:
  Constant Field Values

### MARK

    public static final int MARK

See Also:
  Constant Field Values

### START_PROCEDURE

    public static final int START_PROCEDURE

See Also:
  Constant Field Values

### END_PROCEDURE

    public static final int END_PROCEDURE

See Also:
  Constant Field Values

### IMMEDIATE

    public static final int IMMEDIATE

See Also:
  Constant Field Values

### START_ARRAY

    public static final int START_ARRAY

See Also:
  Constant Field Values

### END_ARRAY

    public static final int END_ARRAY

See Also:
  Constant Field Values

### START_DICT

    public static final int START_DICT

See Also:
  Constant Field Values

### END_DICT

    public static final int END_DICT

See Also:
  Constant Field Values

### value

    public java.lang.Object value

### type

    public int type

Constructor Detail

### PAToken

    public PAToken(java.lang.Object value,
                   int type)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`